# Uses of Class
org.apache.commons.math3.exception.util.ExceptionContext

Packages that use ExceptionContext
Package
Description
org.apache.commons.math3.exception
Specialized exceptions for algorithms errors.
org.apache.commons.math3.exception.util
Classes supporting exception localization.

## Uses of ExceptionContext in org.apache.commons.math3.exception

Methods in org.apache.commons.math3.exception that return ExceptionContext
Modifier and Type
Method
Description
`ExceptionContext`
MathArithmeticException.`getContext()`
Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.
`ExceptionContext`
MathIllegalArgumentException.`getContext()`
Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.
`ExceptionContext`
MathIllegalStateException.`getContext()`
Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.
`ExceptionContext`
MathRuntimeException.`getContext()`
Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.
`ExceptionContext`
MathUnsupportedOperationException.`getContext()`
Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.

## Uses of ExceptionContext in org.apache.commons.math3.exception.util

Methods in org.apache.commons.math3.exception.util that return ExceptionContext
Modifier and Type
Method
Description
`ExceptionContext`
ExceptionContextProvider.`getContext()`
Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.